# Generated by Django 4.1.1 on 2022-09-27 19:31

from django.db import migrations, models
import django.db.models.deletion


def _attempted_task(apps, schema_editor):
    """
    Remove any existing attempted_task one to one fields.
    """
    task_model = apps.get_model("documents", "PaperlessTask")

    for task in task_model.objects.all():
        task.attempted_task = None
        task.save()


class Migration(migrations.Migration):

    dependencies = [
        ("django_celery_results", "0011_taskresult_periodic_task_name"),
        ("documents", "1025_alter_savedviewfilterrule_rule_type"),
    ]

    operations = [
        migrations.RunPython(
            code=_attempted_task,
            reverse_code=migrations.RunPython.noop,
        ),
        migrations.RemoveField(
            model_name="paperlesstask",
            name="created",
        ),
        migrations.RemoveField(
            model_name="paperlesstask",
            name="name",
        ),
        migrations.RemoveField(
            model_name="paperlesstask",
            name="started",
        ),
        migrations.AlterField(
            model_name="paperlesstask",
            name="attempted_task",
            field=models.OneToOneField(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="attempted_task",
                to="django_celery_results.taskresult",
            ),
        ),
    ]
